Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.sizes
Class FileLengthCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.AbstractFileSetCheck
                  com.puppycrawl.tools.checkstyle.checks.sizes.FileLengthCheck

All Implemented Interfaces:
  Configurable, Contextualizable, FileSetCheck

    public class FileLengthCheck

extends AbstractFileSetCheck

Checks for long source files.

Rationale: If a source file becomes very long it is hard to understand. Therefore long classes should usually be refactored into several individual classes that focus on a specific task.

The default maximum file length is 2000 lines. To change the maximum number of lines, set property max.

An example of how to configure the check is:

     <module name="FileLength"/>

An example of how to configure the check so that it accepts files with at most 1500 lines is:

     <module name="FileLength">
        <property name="max" value="1500"/>
     </module>

Author:
  Lars Kühne

Constructor Summary
`FileLengthCheck()`

Method Summary
`protected void` | `processFiltered(File aFile, List<String> aLines)` Called to process a file that matches the specified file extensions.
`void` | `setMax(int aLength)`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractFileSetCheck
`beginProcessing, destroy, finishProcessing, fireErrors, getMessageCollector, getMessageDispatcher, init, log, log, process, setFileExtensions, setMessageDispatcher`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getCustomMessages, getId, getMessageBundle, getSeverity, getSeverityLevel, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.puppycrawl.tools.checkstyle.api.Configurable
`configure`

Methods inherited from interface com.puppycrawl.tools.checkstyle.api.Contextualizable
`contextualize`

Constructor Detail

### FileLengthCheck

    public FileLengthCheck()

Method Detail

### processFiltered

    protected void processFiltered(File aFile,
                                   List<String> aLines)

  Description copied from class: `AbstractFileSetCheck`
  Called to process a file that matches the specified file extensions.

  Specified by:
    `processFiltered` in class `AbstractFileSetCheck`
  Parameters:
    `aFile` - the file to be processed
    `aLines` - an immutable list of the contents of the file.

### setMax

    public void setMax(int aLength)

  Parameters:
    `aLength` - the maximum length of a Java source file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011. All Rights Reserved.